
body
{
    margin: 0;
    padding: 0;
    height: 100%;
    background-color: lightblue;
    font-family: 'Arial';
    color: #0b6486;
    font-size: 14px;
    background-image: url("../images/blueskies.jpg");
    background-repeat: no-repeat;
    background-size: 100%;
}

a {
    color: #eef6fe;
    display: inline-block;
    border: none;
    background-color: #0b6486;
    margin-top: 5px;
    margin-left: 10px;
    border-radius: 5px;
    padding: 3px;
    padding-left: 5px;
    text-decoration: none;
    width: 150px;
    text-align: left;
}

::placeholder {
    color: gray;
    font-size: 0.9em;
    font-style: italic;
}

.sidelogo {
    margin-left: 5px;
    margin-right: auto;
    width: 130px;
    margin-top: 10px;
}

.welcome {
    text-align: center;
    font-size: 1.4empx;
    color: white;
    margin-left: 90px;
    vertical-align: bottom;
    padding-bottom: 10px;
    display: inline-block;
}

#verify {
    width: 90%;
    height: 550px;
    overflow: hidden;
    margin-top: 20px;
    margin-left: 2%;
    margin-right: auto;

    padding: 10px;
    background: #e5ecf4;
    border-radius: 10px ;
    float: left;
}


.header {
    margin-top: 5px;
    margin-left: 20px;
    margin-right: 20px;
}

.headerButtons {
    vertical-align: top;
}

.headerButton {
    background-color: #0b6486;
    text-align: center;
}

.allignright {
    padding-left: 35px;
}

.sampleLabel {
    margin-top: 150px;
    margin-left: 40px;
    display: inline-block;
}

.headerSampleLabel {
    float: right;
    height: 60px;
    margin-top: 0px;
    margin-right: 15px;
}

.login{
    width: 350px;
    overflow: hidden;
    margin-top: 100px;
    margin-left: auto;
    margin-right: auto;

    padding: 20px;
    background: #57a6ff;;
    border-radius: 15px ;
    opacity: 1;

}

label{
    color: #0b6486;
    //font-size: 14px;
    margin-bottom: 0px;
    margin-top: 10px;
    display: inline-block;
}

/* QRcode valdiation */

#QRservermessage {
    padding-top: 10px;
    color: red;
}

.QRgreen {
    color: green;
}

/* getIncontact */

#getInContact
{
    width: 55%;
    height: 550px;
    overflow: hidden;
    margin-top: 40px;
    margin-left: 150px;
    margin-right: auto;

    padding: 10px;
    background: #e5ecf4;
    border-radius: 10px ;
    float: left;
}

#getInContactForm {
    margin-left: 15px;
}

.orLabel {
    width: 140px;
    margin-right: 20px;
    display: inline-block;
}

.orField {
    width: 132px;
    margin-right: 20px;
    display: inline-block;
}

#sourceEmail {
    width: 460px;
}

#sourceNote {
    max-height: 5rem;
    min-height: 2rem;
    min-width: initial;
    max-width: 460px;
    padding:2px;
}

#securityCode {

}

/* several input fields */


#Username,
#Password,
#Matchpswd,
#Firstname,
#Lastname,
#Captcha{
    width: 330px;
    height: 30px;
    border: none;
    border-radius: 3px;
    padding-left: 8px;
    //font-size: 14px;
    margin-top: 3px;
}

#Captcha {
    width: 150px;
}

#captchaimage {

    height: 25px;
    margin-left: 15px;
}

#signinBtn,
#registerBtn,
#getInContactBtn{
    width: 330px;
    height: 30px;
    border: none;
    border-radius: 17px;
    padding-left: 7px;
    color: white;
    //font-size: 14px;
    background-color: #0b6486;
}

.standardBtn {
    display: inline-block;
    //width: 330px;
    //height: 20px;
    border: none;
    border-radius: 5px;
    padding: 3px;
    padding-left: 7px;
    padding-right: 7px;
    color: white;
    font-size: 1em;
    background-color: #0b6486;
}

.register{
    width: 350px;
    overflow: hidden;
    margin-top: 20px;
    margin-left: auto;
    margin-right: auto;

    padding: 20px;
    background: #e5ecf4;
    border-radius: 15px ;
    opacity: 0.85;

}

#lostpassword {
    float: right;
}


#servermessage {
    display: inline-block;
    height: 16px;
    padding-top: 5px;
    padding-bottom: 5px;
    color: #ffc37a;
    font-size: 12px;

}


#menubar{
    width: 15%;
    height: 700px;
    overflow: hidden;
    margin-top: 10px;
    margin-left: 10px;
    margin-right: auto;

    padding: 5px;
    background: #e5ecf4;
    border-radius: 10px ;
    float: left;

}

#content {
    width: 80%;
    height: 700px;
    margin-top: 10px;
    margin-left: 10px;
    background: #e5ecf4;
    border-radius: 10px ;
    padding: 5px;
    float: left;
}

#planeFound{
     width: 35%;
     height: 500px;
     overflow: hidden;
     margin-top: 40px;
     margin-left: 100px;
     margin-right: auto;

     padding: 10px;
     background: #efcaaa;
     border-radius: 10px ;
     float: left;
 }

#planeFoundWide{
    width: 55%;
    height: 500px;
    overflow: hidden;
    margin-top: 40px;
    margin-left: 100px;
    margin-right: auto;

    padding: 10px;
    background: #efcaaa;
    border-radius: 10px ;
    float: left;

}
#WelcomePlaneFound,
#WelcomePilots,
#WelcomeClubs {
    width: 30%;
    height: 550px;
    overflow: hidden;
    margin-top: 30px;
    margin-left: 20px;
    margin-right: auto;

    padding: 10px;
    background: #efcaaa;
    border-radius: 10px ;
    float: left;
}

#WelcomePlaneFound {
    background: #efcaaa;
}

#WelcomePilots{
    background: #add8d2;
}

#WelcomeClubs {

}

#loginFrame {
    width: 35%;
    height: 500px;
    margin-top: 40px;
    margin-left: 70px;
    background: #add8d2;
    border-radius: 10px ;
    padding: 10px;
    float: left;
}

.menuBtn {
    width: 80%;
    height: 25px;
    border: none;
    border-radius: 5px;
    margin-top: 5px;
    margin-left: 25px;
    padding-left: 7px;
    padding-top: 5px;
    color: white;
    font-size: 14px;
    background-color: #0b6486;
    display: block;
}

.menuHeader {
    display: block;
    margin-top: 5px;
    margin-bottom: 2px;
}

.menuSepa {
    width: 100px;
    margin-top: 8px;
    margin-bottom: 15px;
    margin-left: 50px;
    display: block;
    padding-bottom: 10px;
    padding-left:30px;
    border-bottom: 2px solid #556a70;
}


#planeInfo,
#clubInfo,
#addClub,
#memberlist{
    width: 60%;
    margin-left: auto;
    margin-right: auto;
    padding: 10px;
    border: 1px solid blue;
    min-height: 400px;
    position: relative;
}

#accountInfo {
    width: 60%;
    margin-left: auto;
    margin-right: auto;
    padding: 10px;
    border: 1px solid blue;
    min-height: 400px;
    position: relative;
}

.formInfo {
    padding-bottom: 15px;
    display: inline-block;
    font-size: 14px;
}

.staticField {
    font-size: 16px;
}


#planefields {
    width: 50%;
    margin-left: auto;
    margin-right: auto;
    float: left;
}

#planelist {
    width: 48%;
    margin-left: auto;
    margin-right: auto;

    margin-top: 10px;
    margin-bottom: 10px;
}

#planefiles {
    width: 50%;
    margin-top: 10px;
    margin-bottom: 10px;
    display: inline-block;
}

.planeImageTable th ,
.planeImageTable td {
    background-color: #cfdff5;
}

.planeImageTable td {
    max-width: 50%;
    max-height: 100px;
    padding: 4px;
}


.planeImage {
    max-width: 100%;
    max-height: 100%;
    padding: 4px;
}

.smallimage {
    max-width : 50px;
    max-height : 50px;
    padding: 45px;
}

.smalllistimage {
    max-width : 50px;
    max-height : 50px;
    padding: 5px;
}
.uploadContainer{
    border: 1px solid black;
    padding: 8px;
    width: 95%;

    margin-top: 5px;
    border-radius: 3px;
    background-color: #dddde1;
}

.allignbottom {
    bottom: 0px;
    position: relative;
}


/* paging stuff */
.pagingInfo {
    display: inline-block;
    margin-bottom: 5px;

    width: 300px;
}

.pagingTotalItems {
    display: inline-block;
    margin-left: 3px;
    margin-right:10px;
}

.pagingPrevIcon {
    display: inline-block;
    width: 30px;
    font-size: 16px;
    padding-left: 5px;
    color: white;
    background-color: #0b6486;
}

.pagingNextIcon {
    display: inline-block;
    width: 30px;
    font-size: 16px;
    padding-left: 5px;
    color: white;
    background-color: #0b6486;
}
/* rendering of data */

table {
    border-collapse: collapse;
}

tbody tr:nth-child(odd){
    background-color: #cfdff5;
    color: #fff;
}
tbody tr:nth-child(even){
    background-color: #beebf5;
    color: #fff;
}

th {
    background-color: #0b6486;
    color: white;
    padding-left: 8px;
    text-align: left;
    font-size: 1em;
}

td {
    padding: 5px;
    padding-left:3px;
    padding-right:5px;
    color: #0b6486;
    font-size: 1em;
}

.fieldRow {
    height: 30px;
    display: block;
}
.fieldLabel {
    color: darkblue;
    font-size: 12px;
    padding-right: 5px;
    width: 120px;
    display: inline-block;
}

.textfield {
    width: 150px;
    color: black;
    font-size: 14px;
    margin-top: 3px;
}

.selectfield {
    width: 150px;
    color: black;
    font-size: 14px;
    margin-top: 3px;
    padding: 2px;
}

.fieldComment {
    font-size: 10px;
    color: darkblue;
    margin-left: 5px;
    width: 350px;
    display: inline-block;
    vertical-align: bottom;

}

.actionicon {
    padding-left:3px;
    padding-right: 5px;
}

.listButton {
    vertical-align: top;
    margin-top: 3px;
}

.stdButton {
    border: 0px;
    background-color: #0b6486;
    color: white;
    padding: 5px 15px;
    margin-left: 10px;
    float: right;
    border-radius: 3px;
    }

.cancelButton {
    border: 1px solid gray;
    background-color: white;
    color: #0b6486;
    padding: 5px 15px;
    margin-left: 10px;
    float: right;
    border-radius: 3px;
}

.actionButton {
    border: 0px;
    background-color: orange;
    color: white;
    padding: 5px 15px;
    margin-left: 10px;
    float: left;
}

.userAdvice {
    display: inline-block;
    margin-top: 20px;
    font-size: 12px;
    color: #900000;
}


.disclaimer {
    position: fixed;
    width: 100%;
    left: 0;
    bottom: 0;
    text-align: center;
    background-color: #061d93;
    font-size: 12px;
    line-height: 20px;
    color: whitesmoke;
}


/* Grid Styling for Cards view */
.grid-container {
    display: grid;
    width: 100%;
    overflow-x: auto;
    height: 550px;
}

.grid-container--fill {
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
}

.grid-container--fit {
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
}





.grid-element {
    background-color: #e7e7e7;
    border: 0.5px solid blue;
    padding-top: 130%; /* 1:1 Aspect Ratio */
    position: relative; /* If you want text inside of it */
    height: 0;
    margin: 5px;
    color: #fff;
    //max-width: 200px;
}

.plane-card {
    margin: 5px;
    position: absolute;
    width:100%;
    height:100%;
    top: 0; left: 0;
}

.card-row {
    display: block;
}

.plane-cardImageContainer{
    display: block;
    width: 95%;
    padding-top: 80%;
    position: relative; /* If you want text inside of it */
    height: 0;
    margin-bottom: 5px;
}

.plane-image {
    position: absolute;
    max-width: 100%;
    max-height:100%;
    top: 0; left: 0;
 }

.noplane-image {
    position: absolute;

    top: 0; left: 0;
    width: 30%;
    padding-left: 35%;
    padding-top: 35%

}


.plane-name {
    display: block;
    color: darkblue;
    font-size: 1.1em;
    font-family: 'Arial';
}

.plane-registration {
    display: block;
    color: darkblue;
    font-size: 1.2em;
    font-family: 'Arial';

    text-align: center;
}


.listActions {
    height: 35px;
}

.listIcon {
    height: 32px;
}


/* print labels */

#labelOptions {
    //border: 0.5px solid blue;
    //padding: 5px;
    width: 35%;
    float: left;

}

#planeList {
    width: 45%;
    float: left;
}

.labelOption {
    display: block;
    //color: darkblue;
}




